import { EventEmitter, OnInit } from '@angular/core';
import { FrequencyService } from '../../frequency/frequency.service';
import * as i0 from "@angular/core";
export declare class FrequencyDialogQuarterlyComponent implements OnInit {
    private frequencyService;
    quarterlyInterval: string;
    quarterlyInput: number;
    quarterlyFailed: number;
    quarterlyWindow: number;
    selectedQuarterly: number;
    quarterlyLifeCycleStart: Date;
    quarterlyLifeCycleEndTime: Date;
    quarterlyLifecycleOccurance: number;
    quarterlySeletedLifecycleType: number;
    quarterlyGroup: number[];
    frequencyInfo: any;
    quarterlyArray: Array<string>;
    quarterlyExtension: number;
    quarterlyWindowOpen: number;
    mode: any;
    startDate: number;
    frequencyData: any;
    lifecycleDetails: any;
    frequencyDetails: EventEmitter<any>;
    constructor(frequencyService: FrequencyService);
    ngOnInit(): void;
    populateFrequency(): void;
    valueChangedFirst(event: any): void;
    onTimeChanged(event: string): void;
    selectedMonth(event: any): void;
    lifecycleChange(event: any): void;
    onValueChange(event: any): void;
    onWindowOpenChange(event: any): void;
    onExtensionChange(event: any): void;
    getQuarterlyFrequency(): void;
    getPlaceholder(quarterlyInput: number): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<FrequencyDialogQuarterlyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FrequencyDialogQuarterlyComponent, "app-frequency-dialog-quarterly", never, { "mode": { "alias": "mode"; "required": false; }; "startDate": { "alias": "startDate"; "required": false; }; "frequencyData": { "alias": "frequencyData"; "required": false; }; }, { "frequencyDetails": "frequencyDetails"; }, never, never, false, never>;
}
